platform :ios, '11.0'
workspace 'jitsi-meet'
require_relative '../node_modules/@react-native-community/cli-platform-ios/native_modules'

target 'jitsi-meet' do
  project 'app/app.xcodeproj'

  pod 'Crashlytics', '~> 3.12.0'
  pod 'Fabric', '~> 1.9.0'
  pod 'Firebase/Core', '~> 5.18.0'
  pod 'Firebase/DynamicLinks', '~> 5.18.0'
end

target 'JitsiMeet' do
  project 'sdk/sdk.xcodeproj'

  # React Native and its dependencies
  #

  pod 'FBLazyVector', :path => '../node_modules/react-native/Libraries/FBLazyVector/'
  pod 'FBReactNativeSpec', :path => '../node_modules/react-native/Libraries/FBReactNativeSpec/'
  pod 'RCTRequired', :path => '../node_modules/react-native/Libraries/RCTRequired/'
  pod 'RCTTypeSafety', :path => '../node_modules/react-native/Libraries/TypeSafety/'
  pod 'React', :path => '../node_modules/react-native/'
  pod 'ReactCommon', :path => '../node_modules/react-native/ReactCommon', :subspecs => [
    'turbomodule'
  ]
  pod 'React-Core', :path => '../node_modules/react-native/', :subspecs => [
    'CoreModulesHeaders',
    'DevSupport',
    'RCTWebSocket'
  ]
  pod 'React-CoreModules', :path => '../node_modules/react-native/React/CoreModules'
  pod 'React-RCTActionSheet', :path => '../node_modules/react-native/Libraries/ActionSheetIOS'
  pod 'React-RCTAnimation', :path => '../node_modules/react-native/Libraries/NativeAnimation'
  pod 'React-RCTBlob', :path => '../node_modules/react-native/Libraries/Blob'
  pod 'React-RCTImage', :path => '../node_modules/react-native/Libraries/Image'
  pod 'React-RCTLinking', :path => '../node_modules/react-native/Libraries/LinkingIOS'
  pod 'React-RCTNetwork', :path => '../node_modules/react-native/Libraries/Network'
  pod 'React-RCTSettings', :path => '../node_modules/react-native/Libraries/Settings'
  pod 'React-RCTText', :path => '../node_modules/react-native/Libraries/Text'
  pod 'React-RCTVibration', :path => '../node_modules/react-native/Libraries/Vibration'

  pod 'React-cxxreact', :path => '../node_modules/react-native/ReactCommon/cxxreact'
  pod 'React-jsi', :path => '../node_modules/react-native/ReactCommon/jsi'
  pod 'React-jsiexecutor', :path => '../node_modules/react-native/ReactCommon/jsiexecutor'
  pod 'React-jsinspector', :path => '../node_modules/react-native/ReactCommon/jsinspector'
  pod 'Yoga', :path => '../node_modules/react-native/ReactCommon/yoga'

  pod 'DoubleConversion', :podspec => '../node_modules/react-native/third-party-podspecs/DoubleConversion.podspec'
  pod 'glog', :podspec => '../node_modules/react-native/third-party-podspecs/glog.podspec'
  pod 'Folly', :podspec => '../node_modules/react-native/third-party-podspecs/Folly.podspec'

  # React Native plugins
  #

  pod 'react-native-background-timer', :path => '../node_modules/react-native-background-timer'
  pod 'react-native-calendar-events', :path => '../node_modules/react-native-calendar-events'
  pod 'react-native-keep-awake', :path => '../node_modules/react-native-keep-awake'
  pod 'react-native-netinfo', :path => '../node_modules/@react-native-community/netinfo'
  pod 'react-native-webview', :path => '../node_modules/react-native-webview'
  pod 'react-native-webrtc', :path => '../node_modules/react-native-webrtc'
  pod 'BVLinearGradient', :path => '../node_modules/react-native-linear-gradient'
  pod 'RNCAsyncStorage', :path => '../node_modules/@react-native-community/async-storage'
  pod 'RNGoogleSignin', :path => '../node_modules/@react-native-community/google-signin'
  pod 'RNSound', :path => '../node_modules/react-native-sound'
  pod 'RNSVG', :path => '../node_modules/react-native-svg'
  pod 'RNWatch', :path => '../node_modules/react-native-watch-connectivity'
  pod 'RNExitApp', :path => '../node_modules/react-native-exit-app'
  # Native pod dependencies
  #

  pod 'Amplitude-iOS', '~> 4.0.4'
  pod 'CocoaLumberjack', '~>3.5.3'
  pod 'ObjectiveDropboxOfficial', '~> 3.9.4'

  use_native_modules!
end

post_install do |installer|
  installer.pods_project.targets.each do |target|
    target.build_configurations.each do |config|
      config.build_settings['ENABLE_BITCODE'] = 'YES'
      config.build_settings['SUPPORTS_MACCATALYST'] = 'NO'
      config.build_settings['IPHONEOS_DEPLOYMENT_TARGET'] = '11.0'
    end
  end
end
